Skip to Content

Evals

11 endpoints

POST /api/v5/artifacts/evals/search

Search Eval

Search evals — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ search?: `string` | `null` filter_department_ids?: `string`[] | `null` department_search?: `string` | `null` page_size?: `integer` | `null` page_offset?: `integer` | `null` }

Response:

{ actor_name?: `string` | `null` evals?: `ListEvalApiEval`[] | `null` department_filter?: `ListFilterSection` | `null` total_count?: `integer` | `null` user_role?: `string` | `null` }

POST /api/v5/artifacts/evals/get

Get Eval

Get eval information using the canonical shared eval operation.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ eval_id?: `string` | `null` draft_id?: `string` | `null` }

Response:

{ actor_name?: `string` | `null` eval_exists?: `boolean` | `null` can_edit?: `boolean` | `null` disabled_reason?: `string` | `null` draft_version?: `integer` | `null` group_id?: `string` | `null` basic_show_ai_generate?: `boolean` | `null` model_show_ai_generate?: `boolean` | `null` names?: `EvalNameSection` | `null` descriptions?: `EvalDescriptionSection` | `null` active_flags?: `EvalFlagSection` | `null` dynamic_flags?: `EvalFlagSection` | `null` groups_flags?: `EvalFlagSection` | `null` departments?: `EvalDepartmentSection` | `null` models?: `EvalModelSection` | `null` model_flags?: `EvalModelFlagSection` | `null` model_rubrics?: `EvalModelRubricSection` | `null` model_positions?: `EvalModelPositionSection` | `null` }

POST /api/v5/artifacts/evals/create

Create Eval

Create evals using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ evals: `CreateEvalItem`[] }

Response:

{ results: `EvalResultItem`[] }

POST /api/v5/artifacts/evals/update

Update Eval

Update evals using composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ evals: `UpdateEvalItem`[] }

Response:

{ results: `EvalResultItem`[] }

POST /api/v5/artifacts/evals/duplicate

Duplicate Eval

Duplicate an eval — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ eval_id: `string` }

Response:

{ success: `boolean` eval_id: `string` message: `string` }

POST /api/v5/artifacts/evals/delete

Delete Eval

Bulk delete evals — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ eval_ids: `string`[] }

Response:

{ results: `DeleteEvalResult`[] }

PATCH /api/v5/artifacts/evals/draft

Patch Eval Draft

Patch eval draft — composable infra architecture.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ input_draft_id?: `string` | `null` expected_version?: `integer` name?: `string` | `null` name_id?: `string` | `null` description?: `string` | `null` description_id?: `string` | `null` flag_ids?: `string`[] | `null` department_ids?: `string`[] | `null` model_ids?: `string`[] | `null` rubric_ids?: `string`[] | `null` }

Response:

{ success: `boolean` draft_id: `string` new_version: `integer` message: `string` form_state?: `EvalDraftFormState` | `null` }

POST /api/v5/artifacts/evals/drafts

Get Eval Drafts

List eval drafts owned by the current profile.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ entries?: `GetEvalDraftResponse`[] | `null` }

POST /api/v5/artifacts/evals/docs

Get Eval Docs Endpoint

Get composed documentation for the eval artifact.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ entity_id?: `string` | `null` }

Response:

{ name: `string` type: `string` description: `string` artifact?: `DocsResponse` | `null` entries: `DocsResponse`[] resources: `DocsResponse`[] permissions: `OperationInfo`[] api_operations: `OperationInfo`[] page_metadata?: `DocsApiResponse` | `null` }

POST /api/v5/artifacts/evals/refresh

Eval Refresh

Refresh eval materialized views and invalidate caches.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Response:

{ success: `boolean` refreshed_views: `string`[] invalidated_tags: `string`[] }

POST /api/v5/artifacts/evals/export

Export Evals

Export all evals as a clean, denormalized CSV.

Parameters:

NameInRequiredDescription
X-Api-KeyheaderNo
authorizationheaderNo
X-MCPheaderNo

Request body:

{ eval_id?: `string` | `null` }

Response:

{ upload_id: `string` file_name: `string` row_count: `integer` }

Last updated on